EMAILRELAY-SUBMIT(1)

NAME
emailrelay-submit - a submission utility for emailrelay

SYNOPSIS
emailrelay-submit [--help] [--verbose] [--spool-dir spool-directory] [--from from-address] [to-address ...]

DESCRIPTION
emailrelay-submit is a utility which reads an RFC-822 e-mail message from the standard input and writes it into the E-MailRelay spool directory.

The verbose option causes the path of the new content file to be printed.

OPTIONS

-f, --from <envelope-from-address>
    Sets the envelope 'from' address. If not supplied the envelope 'from' address is derived from the originator headers in the message content, or anonymous if none.

-h, --help
    Shows help text and exits.

-x, --input-file <file>
    Reads the specified input file, ignoring the standard input stream.

-s, --spool-dir <dir>
    Specifies the spool directory.

-v, --verbose
    Prints the full path of the content file.

-b, --bcc-split
    Submits messages separately for each Bcc: recipient.

-d, --content-date
    Adds a Date: content header if there is none.

-F, --content-from
    Adds a From: content header using the envelope-from address given by --from, replacing any existing From:/Sender: headers.

-I, --content-message-id, --content-message-id=<domain-part>
    Adds a Message-ID: content header if there is none.

-t, --content-to
    Adds a To: content header using the envelope-to addresses given by --to and/or trailing command-line arguments, replacing any existing To:/cc:/bcc: headers.

-c, --copy
    Copies the envelope file into all sub-directories of the main spool directory.

-n, --filename
    Prints the name of the content file.

--to <envelope-to-address>
    Adds an envelope 'to' address. Trailing command-line arguments can also be used for envelope 'to' addresses.

-V, --version
    Prints the version number and exits.

-a, --auth <name>
    Sets the authentication value in the envelope file.

-B, --body
    Treats the standard input or --input-file as body text with no headers.

-C, --content <base64>
    Adds a line of content. This can be a header line, a blank line or a line of the body text. The first blank line separates headers from the body. The option value should be base64 encoded.

-i, --from-auth-in <name>
    Sets the 'from-auth-in' value in the envelope file.

-o, --from-auth-out <name>
    Sets the 'from-auth-out' value in the envelope file.

-N, --no-stdin
    Ignores the standard-input. Typically used with --content. Not needed with --input-file.

SEE ALSO
emailrelay(1), emailrelay-passwd(1)

AUTHOR
Graeme Walker <graeme_walker@users.sourceforge.net>